polybori::groebner::ShorterEliminationLength Class Reference

This class defines ShorterEliminationLength. More...

`#include <ShorterEliminationLength.h>`

## Public Member Functions

| ShorterEliminationLength (const GroebnerStrategy &strat, wlen_type el)
bool | operator() (const Exponent &e)

## Public Attributes

const GroebnerStrategy * | strat
wlen_type | el

## Detailed Description

This class defines ShorterEliminationLength.

## Constructor & Destructor Documentation

polybori::groebner::ShorterEliminationLength::ShorterEliminationLength | ( | const GroebnerStrategy & | strat,
|  | wlen_type | el
| ) |  |

inline

## Member Function Documentation

bool polybori::groebner::ShorterEliminationLength::operator() | ( | const Exponent & | e) |  |

inline

## Member Data Documentation

wlen_type polybori::groebner::ShorterEliminationLength::el

const GroebnerStrategy* polybori::groebner::ShorterEliminationLength::strat

The documentation for this class was generated from the following file:

- ShorterEliminationLength.h